Package org.apache.wiki.plugin

# Class ReferredPagesPlugin

java.lang.Object
org.apache.wiki.plugin.ReferredPagesPlugin

All Implemented Interfaces:
  `Plugin`

public class ReferredPagesPlugin extends Object implements Plugin
Displays the pages referring to the current page.

Parameters

- name - Name of the root page. Default name of calling page
- type - local|externalattachment
- depth - How many levels of pages to be parsed.
- include - Include only these pages. (eg. include='UC.*|BP.*' )
- exclude - Exclude with this pattern. (eg. exclude='LeftMenu' )
- format - full|compact, FULL now expands all levels correctly

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`MAX_DEPTH`
The maximum depth.
`static final int`
`MIN_DEPTH`
The minimum depth.
`static final String`
`PARAM_COLUMNS`
Parameter name for setting the number of columns that will be displayed by the plugin.
`static final String`
`PARAM_DEPTH`
The parameter name for the depth.
`static final String`
`PARAM_EXCLUDE`
The parameter name for the excluded pages.
`static final String`
`PARAM_FORMAT`
The parameter name for the format.
`static final String`
`PARAM_INCLUDE`
The parameter name for the included pages.
`static final String`
`PARAM_ROOT`
The parameter name for the root page to start from.
`static final String`
`PARAM_TYPE`
The parameter name for the type of the references.

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`ReferredPagesPlugin()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(Context context, Map<String,String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PARAM_ROOT

public static final String PARAM_ROOT
The parameter name for the root page to start from. Value is `"page"`.

See Also:
  - Constant Field Values

### PARAM_DEPTH

public static final String PARAM_DEPTH
The parameter name for the depth. Value is `"depth"`.

See Also:
  - Constant Field Values

### PARAM_TYPE

public static final String PARAM_TYPE
The parameter name for the type of the references. Value is `"type"`.

See Also:
  - Constant Field Values

### PARAM_INCLUDE

public static final String PARAM_INCLUDE
The parameter name for the included pages. Value is `"include"`.

See Also:
  - Constant Field Values

### PARAM_EXCLUDE

public static final String PARAM_EXCLUDE
The parameter name for the excluded pages. Value is `"exclude"`.

See Also:
  - Constant Field Values

### PARAM_FORMAT

public static final String PARAM_FORMAT
The parameter name for the format. Value is `"format"`.

See Also:
  - Constant Field Values

### PARAM_COLUMNS

public static final String PARAM_COLUMNS
Parameter name for setting the number of columns that will be displayed by the plugin. Value is `"columns"`. Available since 2.11.0.

See Also:
  - Constant Field Values

### MIN_DEPTH

public static final int MIN_DEPTH
The minimum depth. Value is `1`.

See Also:
  - Constant Field Values

### MAX_DEPTH

public static final int MAX_DEPTH
The maximum depth. Value is `8`.

See Also:
  - Constant Field Values

## Constructor Details

### ReferredPagesPlugin

public ReferredPagesPlugin()

## Method Details

### execute

public String execute(Context context, Map<String,String> params) throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`